from SCons.Script import *


def generate(env):
    # add a very simple builder for fortran libraries in python code
    f2pybuilder = Builder(action = 
                          'f2py --quiet -c -m ${TARGET.filebase} ${SOURCE.file}', 
                          chdir=1, single_source=1)
    # defines builder: run f2py in the source=target directory
    # require exactly one source file
    env.Append(BUILDERS = {'f2py' : f2pybuilder})


def exists(env):
    return 1