__doc__ = "Simple SCons builder method for calling idiopidea"

__revision__ = '$Id: idio_builder.py 33 2008-10-18 14:49:39Z hgaudecker $'

from SCons.Script import *


def generate(env):
    # add a very simple builder for fortran libraries in python code
    idiobuilder = Builder(action = 
                          'idio ${SOURCE.file} > ${TARGET.file}', 
                          chdir=1, single_source=1)
    # defines builder: run f2py in the source=target directory
    # require exactly one source file
    env.Append(BUILDERS = {'idio' : idiobuilder})


def exists(env):
    return 1