local thisdofilename reshape_long
include ../lib_local/header

u `formatteddatadir'/exp_dhs_aer, clear

// RESHAPE DATA TO LONG FORMAT
forvalues i=1/7   {
    rename q`i'_50a q`i'_200
    rename q`i'_100a q`i'_300
}
reshape long q1_ q2_ q3_ q4_ q5_ q6_ q7_, i(nohhm) j(pHI)
forvalues i=1/7   {
    rename q`i'_ q`i'
}
reshape long q, i(nohhm pHI) j(quest)
drop if q==.

gen sheet=1
replace sheet=2 if pHI==0|pHI==10|pHI==20|pHI==30|pHI==40|pHI==60|pHI==70|pHI==80|pHI==90|pHI==200|pHI==300
replace pHI=50 if pHI==200
replace pHI=100 if pHI==300

order nohhmem quest pHI sheet q

gen a1=.
gen a2=.
gen a3=.
gen b1=.
gen b2=.
gen b3=.

replace a1=9 if quest==1
replace a2=11 if quest==1
replace a3=0 if quest==1
replace b1=0 if quest==1
replace b2=23 if quest==1
replace b3=0 if quest==1

replace a1=13 if quest==2
replace a2=16 if quest==2
replace a3=0 if quest==2
replace b1=3 if quest==2
replace b2=29 if quest==2
replace b3=0 if quest==2

replace a1=4 if quest==3
replace a2=5 if quest==3
replace a3=0 if quest==3
replace b1=-5 if quest==3
replace b2=16 if quest==3
replace b3=0 if quest==3

replace a1=11 if quest==4
replace a2=12 if quest==4
replace a3=0 if quest==4
replace b1=2 if quest==4
replace b2=23 if quest==4
replace b3=1 if quest==4

replace a1=6 if quest==5
replace a2=7 if quest==5
replace a3=0 if quest==5
replace b1=-3 if quest==5
replace b2=18 if quest==5
replace b3=1 if quest==5

replace a1=8 if quest==6
replace a2=9 if quest==6
replace a3=0 if quest==6
replace b1=-1 if quest==6
replace b2=20 if quest==6
replace b3=0 if quest==6

replace a1=5 if quest==7
replace a2=6 if quest==7
replace a3=1 if quest==7
replace b1=-4 if quest==7
replace b2=17 if quest==7
replace b3=1 if quest==7

foreach var of varlist a1 a2 b1 b2   {
    replace `var' = `var'*3 if incentive0 == 1 | incentive3 == 1
}

rename a1 aLO
rename a2 aHI
rename a3 aLATE
rename b1 bLO
rename b2 bHI
rename b3 bLATE

rename q choice
compress
sort nohhmem quest sheet pHI
save `formatteddatadir'/exp_dhs_aer_long, replace

log close
scons_returncode

