// Preference Experiment Project

// Header file with paths to relevant directories, adopaths,
// and some utilities related to logging.

// standard stuff
clear
set more off
set linesize 255
set mem 100m
capture log close
set logtype text
log using log/`thisdofilename', replace

// add libraries to adopath
adopath + ../externals/ado/personal
adopath + ../externals/ado/plus
adopath + ../lib_local/

// input and output directories
local rawdatadir "../../data/raw"
local formatteddatadir "../../data/formatted/dta"
local formatteddatadir_txt "../../data/formatted/txt"

local tablesdir_prefhet "../../paper/tablesfigures/tex"
local graphicsdir_prefhet "../../paper/tablesfigures/pdf"

// set random seed
set seed 10459